%define section free
%define base_name ant-contrib

Summary:        Collection of tasks for Ant
Name:           %{base_name}
Version:        0.6
Release:        1jpp
Epoch:          0
License:        Apache Software License
URL:            http://ant-contrib.sourceforge.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        ant-contrib-0.6-src.tar.gz
Patch0:         ant-contrib-build_xml.patch
Patch1:         ant-contrib-CompileWithWalls.patch
Patch2:         ant-contrib-antservertest.patch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  ant = 0:1.5.4, ant-optional = 0:1.5.4
Requires:  junit >= 0:3.8.1
Requires:  ant = 0:1.5.4, ant-optional = 0:1.5.4
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Ant-Contrib project is a collection of tasks 
(and at one point maybe types and other tools) 
for Apache Ant.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Docs for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.

%prep
%setup -q -c -n %{base_name}-%{version}
find . -name "*.jar" -exec rm {} \;
cp build.xml build.xml.sav
rm -rf test/src/net/sf/antcontrib/antclipse
ls ../../SOURCES/apache-ant-1.5.4-src.tar.bz2
if [ ! -f ../../SOURCES/apache-ant-1.5.4-src.tar.bz2 ]; then
   echo ant-1.5.4-2jpp.src.rpm must be installed 
   exit
fi
cp src/net/sf/antcontrib/walls/CompileWithWalls.java src/net/sf/antcontrib/walls/CompileWithWalls.java.sav

%patch0
%patch1
%patch2

%build
mkdir -p test/lib
(cd test/lib
ln -s $(find-jar junit-3.8.1) junit-3.8.1.jar
)
export CLASSPATH=$(build-classpath ant ant-optional junit)
CLASSPATH=$CLASSPATH:build/lib/ant-contrib-0.6.jar
ant -Dversion=0.6 test all

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -Dpm 644 build/lib/%{base_name}-%{version}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf build/docs/api

# manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr build/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog

* Wed Mar 24 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.6-1jpp
- First JPackage release
